Management APIProducts
Create a product draft
Creates a new product **draft** in a restaurant. The product is not publicly visible until the draft is published via `POST /{restaurantId}/products/{productId}/draft/publish`. Name and description are provided as translation maps (e.g. `{ "FR": "Burger", "EN": "Burger" }`). Requires a management API key (`mk_`).
Authorization
ManagementApiKey X-Api-Key<token>
Management API key — starts with mk_. Generate one from your dashboard.
In: header
Path Parameters
restaurantId*string
Restaurant ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/management/restaurants/497f6eca-6276-4993-bfeb-53cbbbba6f08/products" \ -H "Content-Type: application/json" \ -d '{ "name": {}, "price": 0 }'{ "success": true, "data": { "product": { "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "restaurantId": "4607f331-b75a-4fe3-8172-582c6c390256", "parentProductId": "1ffe8af3-a0f6-480d-b0be-350ab24a5fb9", "publishedVersionId": "9786f1b1-ef7e-4f6a-94c4-c8eb67e924eb", "nameKey": "string", "descriptionKey": "string", "price": 0, "available": true, "scanId": "83d71394-faa2-4b6c-b13b-6d3118de459e", "imageId": "bbefe473-c66a-4040-85cf-1c7e6f0b3830", "status": "draft", "notes": "string", "draftCreatedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "isDraft": true }}